package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Windplant;

import java.util.List;

/**
 * WindplantMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface WindplantMapper {
    /**
     * 查询Windplant
     *
     * @param windplantNo WindplantID
     * @return Windplant
     */
    public Windplant selectWindplantById(Long windplantNo);

    /**
     * 查询Windplant列表
     *
     * @param windplant Windplant
     * @return Windplant集合
     */
    public List<Windplant> selectWindplantList(Windplant windplant);

    /**
     * 新增Windplant
     *
     * @param windplant Windplant
     * @return 结果
     */
    public int insertWindplant(Windplant windplant);

    /**
     * 修改Windplant
     *
     * @param windplant Windplant
     * @return 结果
     */
    public int updateWindplant(Windplant windplant);

    /**
     * 删除Windplant
     *
     * @param windplantNo WindplantID
     * @return 结果
     */
    public int deleteWindplantById(Long windplantNo);

    public Windplant checkWindplantNoUnique(Long windplantNo);

    Long selectNewData();

    int checkWindplantNameUnique(String windplantName);

    List<Windplant> selectWindplantListByGlFlag();

    List<Windplant> selectWindplantListByDlFlag();

    List<Windplant> selectWindplantListByXhjyFlag();

    Windplant selectWindplantByStationCode(String stationCode);
}
